## dulwich 0.4.1

=== Makefile ===
PYTHON = python
SETUP = $(PYTHON) setup.py
PYDOCTOR ?= pydoctor
TESTRUNNER = $(shell which nosetests)

all: build 

doc:: pydoctor

pydoctor::
	$(PYDOCTOR) --make-html -c dulwich.cfg

build::
	$(SETUP) build
	$(SETUP) build_ext -i

install::
	$(SETUP) install

check:: build
	PYTHONPATH=. $(PYTHON) $(TESTRUNNER) dulwich

check-noextensions:: clean
	PYTHONPATH=. $(PYTHON) $(TESTRUNNER) dulwich

clean::
	$(SETUP) clean --all
	rm -f dulwich/*.so

coverage:: build
	PYTHONPATH=. $(PYTHON) $(TESTRUNNER) --cover-package=dulwich --with-coverage --cover-erase --cover-inclusive dulwich

coverage-annotate: coverage
	python-coverage -a -o /usr

## dulwich 0.6.1

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,9 @@
 SETUP = $(PYTHON) setup.py
 PYDOCTOR ?= pydoctor
 TESTRUNNER = $(shell which nosetests)
+TESTFLAGS =
 
-all: build 
+all: build
 
 doc:: pydoctor
 
@@ -19,9 +20,13 @@
 
 check:: build
 	PYTHONPATH=. $(PYTHON) $(TESTRUNNER) dulwich
+	which git > /dev/null && PYTHONPATH=. $(PYTHON) $(TESTRUNNER) $(TESTFLAGS) -i compat
 
 check-noextensions:: clean
-	PYTHONPATH=. $(PYTHON) $(TESTRUNNER) dulwich
+	PYTHONPATH=. $(PYTHON) $(TESTRUNNER) $(TESTFLAGS) dulwich
+
+check-compat:: build
+	PYTHONPATH=. $(PYTHON) $(TESTRUNNER) $(TESTFLAGS) -i compat
 
 clean::
 	$(SETUP) clean --all

=== debian/changelog ===
dulwich (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 30 Jul 2010 13:22:11 +0200

dulwich (0.6.0-5) unstable; urgency=low

  * Support building on older platforms that still have C Git as git-
    core.
  * Avoid use of versioned shebang lines. Thanks Stefano Rivera. Closes:
    #587362

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 20 Jul 2010 16:27:44 +0200

dulwich (0.6.0-4) unstable; urgency=low

  * Switch to python-support. Closes: #583114

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 30 May 2010 20:12:30 +0200

dulwich (0.6.0-3) unstable; urgency=low

  * Clean up properly in clean target. Closes: #583130
  * Rebuild with proper version of pycentral. Closes: #583114

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 28 May 2010 03:17:32 +0200

dulwich (0.6.0-2) unstable; urgency=high

  * Add dependency on git, required for the testsuite. Closes: #582740

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 24 May 2010 16:13:32 +0200

dulwich (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 22 May 2010 23:06:20 +0200

dulwich (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump standards version to 3.8.4.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 03 Mar 2010 16:43:41 +0100

dulwich (0.4.1-1) unstable; urgency=low

  * New upstream release.
   + Supports time-less tags. Closes: #543240
  * Rebuilt against newer version of python-central. Closes: #551893

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 03 Jan 2010 16:40:19 +0100

dulwich (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.3.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 07 Oct 2009 12:08:10 +0200

dulwich (0.3.3-1) unstable; urgency=low

  * Run the testsuite during build.
  * New upstream release.
  * Avoid hard dependency on python2.4. Thanks doko for the help
    debugging this. Closes: #534758.
  * Bump standards version to 3.8.2.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 23 Jul 2009 22:35:11 +0200

dulwich (0.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 20 May 2009 19:04:00 +0200

dulwich (0.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 10 May 2009 16:18:27 +0200

dulwich (0.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 30 Apr 2009 14:45:32 +0200

dulwich (0.1.1+bzr220-1) unstable; urgency=low

  * Update package description to mention optimized modules. (Closes: #521839)
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 06 Apr 2009 15:48:41 +0200

dulwich (0.1.1+bzr214-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump standards version.
  * Fix long description. (Closes: #521003)
  * Switch to Arch: any, since the package now contains compiled
    optimized versions of some modules.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 29 Mar 2009 16:14:39 +0200

dulwich (0.1.1~bzr153-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 08 Mar 2009 07:02:00 +0100

dulwich (0.1.0+bzr138-2) unstable; urgency=low

  * Add watch file.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 27 Jan 2009 04:26:55 +0100

dulwich (0.1.0+bzr138-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 24 Jan 2009 22:58:17 +0100

dulwich (0.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #512897)

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 01 Jan 2009 04:15:38 +0100

=== debian/control ===
Source: dulwich
Section: python
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Homepage: http://samba.org/~jelmer/dulwich
Build-Depends: python-support (>= 0.90), cdbs (>= 0.4.43), python-all-dev, debhelper (>= 5.0.37.2), python-nose, git (>= 1:1.7.0.4-2) | git-core
Standards-Version: 3.9.1
XS-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/users/jelmer/dulwich/unstable

Package: python-dulwich
Architecture: any
Provides: ${python:Provides}
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
XB-Python-Version: ${python:Versions}
Description: Pure-python Git library
 Dulwich is a Python implementation of the file formats and protocols 
 used by the Git version control system. It can currently read from and write 
 to existing Git repositories and implements the protocol for pushing and 
 receiving packs from remote servers.
 .
 All functionality is available in pure Python, but for improved performance 
 replacements of some modules written in C are also available. This package 
 includes the high performance versions.

## dulwich 0.7.0

=== debian/changelog ===
dulwich (0.7.0-2) unstable; urgency=low

  * Switch to dh_python2.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 07 Mar 2011 03:19:45 +0100

dulwich (0.7.0-1) unstable; urgency=low

  * New upstream release.
   + Changes default test runner from nose to testtools.
  * Drop Pure- from the description.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 21 Jan 2011 19:38:13 +0100

dulwich (0.6.2+bzr702-1) unstable; urgency=low

  * Recommend python-fastimport. Closes: #600392
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 06 Nov 2010 22:56:35 +0100

dulwich (0.6.2-1) unstable; urgency=low

  * Build older versions of Python modules as well. Closes: #593751
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 16 Oct 2010 19:49:12 +0200

=== debian/control ===
Source: dulwich
Section: python
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Homepage: http://samba.org/~jelmer/dulwich
Build-Depends: cdbs (>= 0.4.90~), python-all-dev (>= 2.6.6-3), debhelper (>= 5.0.37.2), python-testtools, git (>= 1:1.7.0.4-2) | git-core, python-fastimport (>= 0.9.0~bzr293)
Standards-Version: 3.9.1
X-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/users/jelmer/dulwich/unstable

Package: python-dulwich
Architecture: any
Provides: ${python:Provides}
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: python-fastimport
Description: Python Git library
 Dulwich is a Python implementation of the file formats and protocols 
 used by the Git version control system. It can currently read from and write 
 to existing Git repositories and implements the protocol for pushing and 
 receiving packs from remote servers.
 .
 All functionality is available in pure Python, but for improved performance 
 replacements of some modules written in C are also available. This package 
 includes the high performance versions.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_BUILD_ARGS += --executable=/usr/bin/python

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
common-build-arch common-build-indep:: debian/stamp-check
debian/stamp-check: 
	$(MAKE) check TESTRUNNER=testtools.run
	touch $@
endif

clean::
	rm -f debian/stamp-check
	rm -f dulwich/*.so
	rm -rf *.egg-info

## dulwich 0.7.1

=== Makefile ===
PYTHON = python
SETUP = $(PYTHON) setup.py
PYDOCTOR ?= pydoctor
ifeq ($(shell $(PYTHON) -c "import sys; print sys.version_info >= (2, 7)"),True)
TESTRUNNER ?= unittest
else
TESTRUNNER ?= unittest2.__main__
endif
RUNTEST = PYTHONPATH=.:$(PYTHONPATH) $(PYTHON) -m $(TESTRUNNER)

all: build

doc:: pydoctor

pydoctor::
	$(PYDOCTOR) --make-html -c dulwich.cfg

build::
	$(SETUP) build
	$(SETUP) build_ext -i

install::
	$(SETUP) install

check:: build
	$(RUNTEST) dulwich.tests.test_suite

check-nocompat:: build
	$(RUNTEST) dulwich.tests.nocompat_test_suite

check-noextensions:: clean
	$(RUNTEST) dulwich.tests.test_suite

clean::
	$(SETUP) clean --all
	rm -f dulwich/*.so

=== debian/changelog ===
dulwich (0.7.1-3) unstable; urgency=low

  * Bump standards version to 3.9.2 (no changes).
  * Add python-dulwich-dbg package.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jun 2011 17:04:43 +0200

dulwich (0.7.1-2) unstable; urgency=low

  * Explicitly make debhelper use dh_python2. Closes: #626414

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 11 May 2011 22:29:56 +0200

dulwich (0.7.1-1) unstable; urgency=low

  * Add missing Breaks: field to python-dulwich.
  * Switch to debhelper 7, drop cdbs.
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 12 Apr 2011 22:18:19 +0200

=== debian/control ===
Source: dulwich
Section: python
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Homepage: http://samba.org/~jelmer/dulwich
Build-Depends: debhelper (>= 7.0.50~),
               git (>= 1:1.7.0.4-2) | git-core,
               python-all-dev (>= 2.6.6-3),
               python-all-dbg (>= 2.6.6-3),
               python-fastimport (>= 0.9.0~bzr293),
               python-testtools
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/users/jelmer/dulwich/unstable

Package: python-dulwich
Architecture: any
Provides: ${python:Provides}
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Recommends: python-fastimport
Suggests: python-dulwich-dbg
Description: Python Git library
 Dulwich is a Python implementation of the file formats and protocols
 used by the Git version control system. It can currently read from and write
 to existing Git repositories and implements the protocol for pushing and
 receiving packs from remote servers.
 .
 All functionality is available in pure Python, but for improved performance
 replacements of some modules written in C are also available. This package
 includes the high performance versions.

Package: python-dulwich-dbg
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-dbg, python-dulwich (= ${binary:Version})
Priority: extra
Section: debug
Provides: ${python:Provides}
Description: Python Git library - Debug Extension
 Dulwich is a Python implementation of the file formats and protocols
 used by the Git version control system. It can currently read from and write
 to existing Git repositories and implements the protocol for pushing and
 receiving packs from remote servers.
 .
 All functionality is available in pure Python, but for improved performance
 replacements of some modules written in C are also available. This package
 includes the high performance versions.
 .
 This package contains the extensions built for the python debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f

# Get the suppoirted Python versions
PYVERS = $(shell pyversions -r -v)
# Get the default Python version
PYVERSION = $(shell pyversions -d -v)

# Callable functions to determine the correct PYTHONPATH
pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))
pythonpath_dbg = $$(ls -d $(CURDIR)/build/lib_d.*-$(1) 2>/dev/null || ls -d $(CURDIR)/build/lib.*$(1)-pydebug)


%:
	dh --buildsystem=python_distutils --with python2 $*

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	# Install everything excluding the *_d.so debug extensions to python-dulwich
	dh_install -X"*_d.so" "debian/tmp/*" -p python-dulwich
	# Install the debug extensions to python-dulwich-dbg
	dh_install "debian/tmp/usr/lib/python*/*-packages/dulwich/*_d.so" -p python-dulwich-dbg

override_dh_installdocs:
	dh_installdocs --link-doc=python-dulwich
	dh_installdocs -ppython-dulwich docs/tutorial  -X.gitignore -XMakefile

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check TESTRUNNER=testtools.run
endif

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip --dbg-package=python-dulwich-dbg
endif

## dulwich 0.8.0

=== debian/changelog ===
dulwich (0.8.0-1) unstable; urgency=low

  * New upstream release.
   + Adds support for IPv6 to git:// client. Closes: #631490
   + Fixes use of ~username in git:// URLs. Closes: #631483
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 07 Aug 2011 15:03:44 +0200

## dulwich 0.8.1

=== Makefile ===
--- 
+++ 
@@ -28,8 +28,13 @@
 check-nocompat:: build
 	$(RUNTEST) dulwich.tests.nocompat_test_suite
 
+check-pypy:: clean
+	$(MAKE) check-noextensions PYTHON=pypy
+
 check-noextensions:: clean
 	$(RUNTEST) dulwich.tests.test_suite
+
+check-all: check check-pypy check-noextensions
 
 clean::
 	$(SETUP) clean --all

=== debian/changelog ===
dulwich (0.8.1-1~bpo60+1) squeeze-backports; urgency=low

  * Backport to squeeze.

 -- Christine Spang <christine@debian.org>  Mon, 14 Nov 2011 11:25:43 -0500

dulwich (0.8.1-1) unstable; urgency=low

  * New upstream release.
   + Now provides access to remote http(s) smart server repositories.
     Closes: #636331

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 31 Oct 2011 13:07:39 -0700

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,7 @@
 Priority: optional
 Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://samba.org/~jelmer/dulwich
-Build-Depends: debhelper (>= 7.0.50~),
-               git (>= 1:1.7.0.4-2) | git-core,
-               python-all-dev (>= 2.6.6-3),
-               python-all-dbg (>= 2.6.6-3),
-               python-fastimport (>= 0.9.0~bzr293),
-               python-testtools
+Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), debhelper (>= 7.0.50~), python-unittest2, git (>= 1:1.7.0.4-2) | git-core, python-fastimport (>= 0.9.0~bzr293)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.4
 Vcs-Bzr: http://bzr.debian.org/users/jelmer/dulwich/unstable
@@ -16,9 +11,10 @@
 Package: python-dulwich
 Architecture: any
 Provides: ${python:Provides}
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Breaks: bzr-git (<< 0.6.2)
+Suggests: python-dulwich-dbg
 Recommends: python-fastimport
-Suggests: python-dulwich-dbg
 Description: Python Git library
  Dulwich is a Python implementation of the file formats and protocols
  used by the Git version control system. It can currently read from and write

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-# Get the suppoirted Python versions
+# Get the supported Python versions
 PYVERS = $(shell pyversions -r -v)
 # Get the default Python version
 PYVERSION = $(shell pyversions -d -v)
@@ -8,7 +8,6 @@
 # Callable functions to determine the correct PYTHONPATH
 pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))
 pythonpath_dbg = $$(ls -d $(CURDIR)/build/lib_d.*-$(1) 2>/dev/null || ls -d $(CURDIR)/build/lib.*$(1)-pydebug)
-
 
 %:
 	dh --buildsystem=python_distutils --with python2 $*
@@ -26,11 +25,10 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) check TESTRUNNER=testtools.run
+	$(MAKE) check
 endif
 
 override_dh_strip:
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 	dh_strip --dbg-package=python-dulwich-dbg
 endif
-

## dulwich 0.8.2

=== debian/changelog ===
dulwich (0.8.2-1) unstable; urgency=low

  * Fix Vcs URL.
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 18 Dec 2011 21:35:03 +0100

## dulwich 0.8.3

=== debian/changelog ===
dulwich (0.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 21 Jan 2012 22:24:12 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), debhelper (>= 7.0.50~), python-unittest2, git (>= 1:1.7.0.4-2) | git-core, python-fastimport (>= 0.9.0~bzr293)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.4
-Vcs-Bzr: http://bzr.debian.org/users/jelmer/dulwich/unstable
+Vcs-Bzr: http://alioth.debian.org/~jelmer/bzr/dulwich/unstable
 
 Package: python-dulwich
 Architecture: any

## dulwich 0.8.5

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,9 @@
 check:: build
 	$(RUNTEST) dulwich.tests.test_suite
 
+check-tutorial:: build
+	$(RUNTEST) dulwich.tests.tutorial_test_suite 
+
 check-nocompat:: build
 	$(RUNTEST) dulwich.tests.nocompat_test_suite

=== debian/changelog ===
dulwich (0.8.5-2+deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add 03_CVE-2014-9706 patch.
    CVE-2014-9706: Don't allow writing to files under .git/ when checking
    out working trees. (Closes: #780989)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 27 Mar 2015 13:18:17 +0100

dulwich (0.8.5-2+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add 02_CVE-2015-0838 patch.
    CVE-2015-0838: Buffer overflow in C implementation of apply_delta().

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 17 Mar 2015 18:24:14 +0100

dulwich (0.8.5-2) unstable; urgency=low

  * Make index tests a bit less strict, fixes FTBFS on some systems.
    Closes: #666328

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 02 Apr 2012 12:49:38 +0200

dulwich (0.8.5-1) unstable; urgency=low

  * Install upstream changelog.
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 29 Mar 2012 15:38:35 +0200

dulwich (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.3 (no changes).
  * Fix header of copyright file format.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 28 Mar 2012 14:23:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://samba.org/~jelmer/dulwich
 Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), debhelper (>= 7.0.50~), python-unittest2, git (>= 1:1.7.0.4-2) | git-core, python-fastimport (>= 0.9.0~bzr293)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.4
 Vcs-Bzr: http://alioth.debian.org/~jelmer/bzr/dulwich/unstable
 
@@ -41,4 +41,4 @@
  replacements of some modules written in C are also available. This package
  includes the high performance versions.
  .
- This package contains the extensions built for the python debug interpreter.
+ This package contains the extensions built for the Python debug interpreter.

## dulwich 0.9.0

=== debian/changelog ===
dulwich (0.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 31 May 2013 00:58:42 +0100

dulwich (0.8.6-1) experimental; urgency=low

  * New upstream release.
   + Drop 01_less_strict_index_tests: applied upstream.
  * Migrate to Git; replace Vcs-Bzr header with Vcs-Git header.
  * Remove duplicate field copyright in copyright file.
  * Use build flags from dpkg-buildflags.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 09 Nov 2012 23:44:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://samba.org/~jelmer/dulwich
-Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), debhelper (>= 7.0.50~), python-unittest2, git (>= 1:1.7.0.4-2) | git-core, python-fastimport (>= 0.9.0~bzr293)
+Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), debhelper (>= 9), python-unittest2, git (>= 1:1.7.0.4-2) | git-core, python-fastimport (>= 0.9.0~bzr293)
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.4
-Vcs-Bzr: http://alioth.debian.org/~jelmer/bzr/dulwich/unstable
+Vcs-Git: git://git.debian.org/users/jelmer/dulwich.git
 
 Package: python-dulwich
 Architecture: any

## dulwich 0.9.4

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,8 @@
 TESTRUNNER ?= unittest2.__main__
 endif
 RUNTEST = PYTHONPATH=.:$(PYTHONPATH) $(PYTHON) -m $(TESTRUNNER)
+
+DESTDIR=/
 
 all: build
 
@@ -20,7 +22,7 @@
 	$(SETUP) build_ext -i
 
 install::
-	$(SETUP) install
+	$(SETUP) install --root="$(DESTDIR)"
 
 check:: build
 	$(RUNTEST) dulwich.tests.test_suite
@@ -30,6 +32,9 @@
 
 check-nocompat:: build
 	$(RUNTEST) dulwich.tests.nocompat_test_suite
+
+check-compat:: build
+	$(RUNTEST) dulwich.tests.compat_test_suite
 
 check-pypy:: clean
 	$(MAKE) check-noextensions PYTHON=pypy

=== debian/changelog ===
dulwich (0.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 30 Nov 2013 16:21:10 +0000

dulwich (0.9.1-1) unstable; urgency=low

  * Bump standards version to 3.9.4.
  * Add Vcs-Browser header.
  * Add changelog entry for 0.9.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 22 Sep 2013 21:31:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://samba.org/~jelmer/dulwich
 Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), debhelper (>= 9), python-unittest2, git (>= 1:1.7.0.4-2) | git-core, python-fastimport (>= 0.9.0~bzr293)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.4
 Vcs-Git: git://git.debian.org/users/jelmer/dulwich.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/jelmer/dulwich.git
 
 Package: python-dulwich
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 # Get the supported Python versions
 PYVERS = $(shell pyversions -r -v)
@@ -10,7 +15,7 @@
 pythonpath_dbg = $$(ls -d $(CURDIR)/build/lib_d.*-$(1) 2>/dev/null || ls -d $(CURDIR)/build/lib.*$(1)-pydebug)
 
 %:
-	dh --buildsystem=python_distutils --with python2 $*
+	dh $* --with python2 --buildsystem=python_distutils
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
@@ -32,3 +37,6 @@
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 	dh_strip --dbg-package=python-dulwich-dbg
 endif
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS

=== debian/watch ===
version=2
http://samba.org/~jelmer/dulwich/dulwich-(.*).tar.gz

## dulwich 0.9.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 PYTHON = python
+PYFLAKES = pyflakes
+PEP8 = pep8
 SETUP = $(PYTHON) setup.py
 PYDOCTOR ?= pydoctor
-ifeq ($(shell $(PYTHON) -c "import sys; print sys.version_info >= (2, 7)"),True)
+ifeq ($(shell $(PYTHON) -c "import sys; print(sys.version_info >= (2, 7))"),True)
 TESTRUNNER ?= unittest
 else
 TESTRUNNER ?= unittest2.__main__
@@ -28,7 +30,7 @@
 	$(RUNTEST) dulwich.tests.test_suite
 
 check-tutorial:: build
-	$(RUNTEST) dulwich.tests.tutorial_test_suite 
+	$(RUNTEST) dulwich.tests.tutorial_test_suite
 
 check-nocompat:: build
 	$(RUNTEST) dulwich.tests.nocompat_test_suite
@@ -47,3 +49,12 @@
 clean::
 	$(SETUP) clean --all
 	rm -f dulwich/*.so
+
+flakes:
+	$(PYFLAKES) dulwich
+
+pep8:
+	$(PEP8) dulwich
+
+before-push: check
+	git diff origin/master | $(PEP8) --diff

=== debian/changelog ===
dulwich (0.9.7-3) testing-proposed-updates; urgency=medium

  * Add 02_cve_2015-0838: Fix buffer overflow in C implementation of
    apply_delta (CVE-2015-0838). Closes: #780958
  * Add 03_cve_2014-9706: Don't allow writing to files under .git/ when
    checking out working trees (CVE-2014-9706). Closes: #780989

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 24 Mar 2015 22:34:34 +0000

dulwich (0.9.7-2) unstable; urgency=medium

  * Require at least Python 2.7. Closes: #753519
  * Add branch to Vcs-Git header.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 02 Jul 2014 21:20:48 +0200

dulwich (0.9.7-1) unstable; urgency=medium

  * New upstream release.
  * Use canonical URL in Vcs-Git.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 25 Apr 2014 02:29:17 +0200

dulwich (0.9.6-1) unstable; urgency=medium

  * New upstream release.
  * Allow output to stderr in autopktest.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 23 Apr 2014 01:41:04 +0200

dulwich (0.9.5-2) unstable; urgency=medium

  * Don't write progress to stderr during testsuite run, as autopkgtest
    assumes that indicates failure.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 25 Feb 2014 02:02:42 +0000

dulwich (0.9.5-1) unstable; urgency=medium

  * Add upstream PGP signing key.
  * Enable autopkgtest.
  * New upstream release.
  * Bump standards version to 3.9.5 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 29 Jan 2014 00:30:26 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://samba.org/~jelmer/dulwich
 Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), debhelper (>= 9), python-unittest2, git (>= 1:1.7.0.4-2) | git-core, python-fastimport (>= 0.9.0~bzr293)
-Standards-Version: 3.9.4
-X-Python-Version: >= 2.4
-Vcs-Git: git://git.debian.org/users/jelmer/dulwich.git
+Standards-Version: 3.9.5
+X-Python-Version: >= 2.7
+Vcs-Git: git://anonscm.debian.org/users/jelmer/dulwich.git -b unstable
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/jelmer/dulwich.git
+XS-Testsuite: autopkgtest
 
 Package: python-dulwich
 Architecture: any

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
	https://pypi.python.org/packages/source/d/dulwich/dulwich-(.*).tar.gz

## dulwich 0.9.8

=== debian/changelog ===
dulwich (0.9.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 3.9.6 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 30 Nov 2014 17:32:33 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://samba.org/~jelmer/dulwich
 Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), debhelper (>= 9), python-unittest2, git (>= 1:1.7.0.4-2) | git-core, python-fastimport (>= 0.9.0~bzr293)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Vcs-Git: git://anonscm.debian.org/users/jelmer/dulwich.git -b unstable
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/jelmer/dulwich.git

## dulwich 0.10.1

=== debian/changelog ===
dulwich (0.10.1-1) unstable; urgency=medium

  * New upstream release.
   + Drop 02_unpure_pypy: applied upstream.
   + Fixes CVE-2015-0838: buffer overflow in C implementation of pack
     apply_delta(). Closes: #780958
   + Fixes CVE-2014-9706: does not prevent to write files in commits with
     invalid paths to working tree. Closes: #780989
  * Update Vcs-Git, Vcs-Browser and Maintainer fields to reflect the
    dulwich package is now maintained by the Debian Python Modules
    packaging team.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 07 Feb 2015 17:44:28 +0100

dulwich (0.9.8-2) unstable; urgency=medium

  * Add pypy package.
  * Add patch 02_unpure_pypy to enable C bindings in pypy.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 30 Nov 2014 17:56:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: dulwich
 Section: python
 Priority: optional
-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://samba.org/~jelmer/dulwich
-Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), debhelper (>= 9), python-unittest2, git (>= 1:1.7.0.4-2) | git-core, python-fastimport (>= 0.9.0~bzr293)
+Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), debhelper (>= 9), python-unittest2, git (>= 1:1.7.0.4-2) | git-core, python-fastimport (>= 0.9.0~bzr293), pypy-dev, dh-python
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
-Vcs-Git: git://anonscm.debian.org/users/jelmer/dulwich.git -b unstable
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/jelmer/dulwich.git
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/dulwich.git -b unstable
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/dulwich.git
 XS-Testsuite: autopkgtest
 
 Package: python-dulwich
@@ -26,6 +27,8 @@
  All functionality is available in pure Python, but for improved performance
  replacements of some modules written in C are also available. This package
  includes the high performance versions.
+ .
+ This package contains the module built for Python version 2.x.
 
 Package: python-dulwich-dbg
 Architecture: any
@@ -44,3 +47,19 @@
  includes the high performance versions.
  .
  This package contains the extensions built for the Python debug interpreter.
+
+Package: pypy-dulwich
+Architecture: any
+Provides: ${pypy:Provides}
+Depends: ${pypy:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: Python Git library - pypy module
+ Dulwich is a Python implementation of the file formats and protocols
+ used by the Git version control system. It can currently read from and write
+ to existing Git repositories and implements the protocol for pushing and
+ receiving packs from remote servers.
+ .
+ All functionality is available in pure Python, but for improved performance
+ replacements of some modules written in C are also available. This package
+ includes the high performance versions.
+ .
+ This package contains the module built for pypy.

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

# Get the supported Python versions
PYTHONS = $(shell pyversions -r) pypy
# Get the default Python version
PYVERSION = $(shell pyversions -d -v)

# Callable functions to determine the correct PYTHONPATH
pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))
pythonpath_dbg = $$(ls -d $(CURDIR)/build/lib_d.*-$(1) 2>/dev/null || ls -d $(CURDIR)/build/lib.*$(1)-pydebug)

%:
	dh $* --with python2,pypy --buildsystem=python_distutils

override_dh_auto_build:
	dh_auto_build
	pypy setup.py build -b build-pypy

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build-pypy

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check
	PYTHONPATH=$(shell echo $(CURDIR)/build-pypy/lib*) pypy -m unittest dulwich.tests.test_suite
endif

override_dh_auto_install:
	dh_auto_install
	pypy setup.py build -b build-pypy install --root debian/tmp --install-layout deb
	rm -rf debian/tmp/usr/lib/pypy/bin
	# Install everything excluding the *_d.so debug extensions to python-dulwich
	dh_install -X"*_d.so" "debian/tmp/usr/lib/python*/*-packages" -p python-dulwich
	# Install the debug extensions to python-dulwich-dbg
	dh_install "debian/tmp/usr/lib/python*/*-packages/dulwich/*_d.so" -p python-dulwich-dbg
	# Install the pypy files to pypy-dulwich
	dh_install "debian/tmp/usr/lib/pypy/" -p pypy-dulwich

override_dh_installdocs:
	dh_installdocs -ppython-dulwich-dbg --link-doc=python-dulwich
	dh_installdocs -ppython-dulwich docs/tutorial -X.gitignore -XMakefile
	dh_installdocs -ppypy-dulwich docs/tutorial -X.gitignore -XMakefile

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip --dbg-package=python-dulwich-dbg
endif

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
	https://pypi.python.org/pypi/dulwich/ https://pypi.python.org/packages/source/d/dulwich/dulwich-(.*)\.tar\.gz

## dulwich 0.11.2

=== debian/changelog ===
dulwich (0.11.2-1ubuntu1) wily; urgency=medium

  * Don't build optional (and not yet ported) extensions for python3.
    Closes: #798943, #800940.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Oct 2015 06:51:17 +0200

dulwich (0.11.2-1) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * New upstream release.
  * Add patch 02_cgit_c: support building under different locale.
    Closes: #799076

  [ Scott Kitterman ]
  * Team upload.
  * Fix python3 depends. Closes: #799185
  * Remove obsolete provides.

  [ Jelmer Vernooij ]
  * Force CFLAGS to -I/usr/lib/pypy, to work around bug #799485.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 19 Sep 2015 00:19:21 +0000

dulwich (0.11.1-1) unstable; urgency=medium

  * New upstream release.
   + Fixes formatting in assertion. Closes: #789546
   + Fixes FTBFS on some architectures. Closes: #798565
  * debian/copyright: Fix license header to be unique.
  * debian/watch: Fix watch URL to use pypi redirector service.
  * Add 01_refs_unicode: Support running on platforms that can't encode
    certain characters.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 13 Sep 2015 18:15:59 +0000

dulwich (0.10.1+git20150525-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 25 May 2015 12:18:15 +0000

dulwich (0.10.1+git20150425-1) experimental; urgency=medium

  * New upstream snapshot.
  * Add Python3 binary package.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 26 Apr 2015 13:08:13 +0000

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://samba.org/~jelmer/dulwich
-Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), debhelper (>= 9), python-unittest2, git (>= 1:1.7.0.4-2) | git-core, python-fastimport (>= 0.9.0~bzr293), pypy-dev, dh-python
+Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), python3-all-dev, python3-all-dbg, debhelper (>= 9), python-unittest2, git (>= 1:1.7.0.4-2) | git-core, python-fastimport (>= 0.9.0~bzr293), pypy-dev, dh-python
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.2
 Vcs-Git: git://anonscm.debian.org/python-modules/packages/dulwich.git -b unstable
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/dulwich.git
 XS-Testsuite: autopkgtest
 
 Package: python-dulwich
 Architecture: any
-Provides: ${python:Provides}
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Breaks: bzr-git (<< 0.6.2)
 Suggests: python-dulwich-dbg
@@ -35,7 +35,6 @@
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-dbg, python-dulwich (= ${binary:Version})
 Priority: extra
 Section: debug
-Provides: ${python:Provides}
 Description: Python Git library - Debug Extension
  Dulwich is a Python implementation of the file formats and protocols
  used by the Git version control system. It can currently read from and write
@@ -63,3 +62,37 @@
  includes the high performance versions.
  .
  This package contains the module built for pypy.
+
+Package: python3-dulwich
+Architecture: any
+Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Breaks: bzr-git (<< 0.6.2)
+Suggests: python3-dulwich-dbg
+Description: Python Git library - Python3 module
+ Dulwich is a Python implementation of the file formats and protocols
+ used by the Git version control system. It can currently read from and write
+ to existing Git repositories and implements the protocol for pushing and
+ receiving packs from remote servers.
+ .
+ All functionality is available in pure Python, but for improved performance
+ replacements of some modules written in C are also available. This package
+ includes the high performance versions.
+ .
+ This package contains the module built for Python version 3.x.
+
+Package: python3-dulwich-dbg
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, python3-dbg, python3-dulwich (= ${binary:Version})
+Priority: extra
+Section: debug
+Description: Python Git library - Python 3 Debug Extension
+ Dulwich is a Python implementation of the file formats and protocols
+ used by the Git version control system. It can currently read from and write
+ to existing Git repositories and implements the protocol for pushing and
+ receiving packs from remote servers.
+ .
+ All functionality is available in pure Python, but for improved performance
+ replacements of some modules written in C are also available. This package
+ includes the high performance versions.
+ .
+ This package contains the extensions built for the Python 3 debug interpreter.

## dulwich 0.12.0

=== Makefile ===
--- 
+++ 
@@ -8,13 +8,17 @@
 else
 TESTRUNNER ?= unittest2.__main__
 endif
-RUNTEST = PYTHONPATH=.:$(PYTHONPATH) $(PYTHON) -m $(TESTRUNNER)
+RUNTEST = PYTHONHASHSEED=random PYTHONPATH=.:$(PYTHONPATH) $(PYTHON) -m $(TESTRUNNER) $(TEST_OPTIONS)
 
 DESTDIR=/
 
 all: build
 
 doc:: pydoctor
+doc:: sphinx
+
+sphinx::
+	$(MAKE) -C docs html
 
 pydoctor::
 	$(PYDOCTOR) --make-html -c dulwich.cfg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pdf       to make PDF document"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/dulwich.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/dulwich.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

pdf:
	$(SPHINXBUILD) -b pdf $(ALLSPHINXOPTS) $(BUILDDIR)/pdf
	@echo
	@echo "Build finished. The PDF files are in $(BUILDDIR)/pdf."

=== debian/changelog ===
dulwich (0.12.0-1build2) xenial; urgency=medium

  * No-change rebuild for pypy5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Apr 2016 12:53:07 +0000

dulwich (0.12.0-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 11:45:29 +0000

dulwich (0.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch 02_cgit_c: applied upstream.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 13 Dec 2015 15:34:54 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/dulwich.git -b unstable
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/dulwich.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/dulwich.git
 XS-Testsuite: autopkgtest

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

# Callable functions to determine the correct PYTHONPATH
pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))
pythonpath_dbg = $$(ls -d $(CURDIR)/build/lib_d.*-$(1) 2>/dev/null || ls -d $(CURDIR)/build/lib.*$(1)-pydebug)

%:
	dh $* --with python2,python3,pypy --buildsystem=python_distutils

override_dh_auto_build:
	dh_auto_build
	# Work around bug #799485
	CFLAGS=-I/usr/lib/pypy pypy setup.py build -b build-pypy

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build*
	rm -f dulwich/*.so dulwich/*.o

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check PYTHON=python
	$(MAKE) check PYTHON=python3
	PYTHONPATH=$(shell echo $(CURDIR)/build-pypy/lib*) pypy -m unittest dulwich.tests.test_suite
endif

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done;
	pypy setup.py build -b build-pypy install --root=$(CURDIR)/debian/tmp --install-layout deb
	rm -rf debian/tmp/usr/lib/pypy/bin
	# Install everything excluding the *_d.so debug extensions to python-dulwich and python3-dulwich
	dh_install -X"*_d.so" "debian/tmp/usr/lib/python2*/*-packages" -p python-dulwich
	dh_install -X"*_d.so" "debian/tmp/usr/lib/python3*/*-packages" -p python3-dulwich
	# Install the debug extensions to python-dulwich-dbg
	dh_install "debian/tmp/usr/lib/python*/*-packages/dulwich/*_d.so" -p python-dulwich-dbg
	# Install the pypy files to pypy-dulwich
	dh_install "debian/tmp/usr/lib/pypy/" -p pypy-dulwich

override_dh_installdocs:
	dh_installdocs -ppython-dulwich-dbg --link-doc=python-dulwich
	dh_installdocs -ppython3-dulwich-dbg --link-doc=python3-dulwich
	dh_installdocs -ppython-dulwich docs/tutorial -X.gitignore -XMakefile
	dh_installdocs -ppython3-dulwich docs/tutorial -X.gitignore -XMakefile
	dh_installdocs -ppypy-dulwich docs/tutorial -X.gitignore -XMakefile

override_dh_strip:
	dh_strip -p python-dulwich --dbg-package=python-dulwich-dbg
	dh_strip -p python3-dulwich --dbg-package=python3-dulwich-dbg
	# For the moment, there is no dbg package for pypy-dulwich.
	dh_strip -p pypy-dulwich

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/tests/control ===
Tests: testsuite
Depends: python-dulwich, git
Restrictions: allow-stderr

## dulwich 0.13.0

=== debian/changelog ===
dulwich (0.13.0-1) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * New upstream release.
   + Add Build-Depends: python3-fastimport.
   + Add Recommends: python3-fastimport to python3-dulwich.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Jelmer Vernooĳ ]
  * Bump standards version to 3.9.7.
  * Add some lintian overrides for git files that are used for testing.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 24 Apr 2016 15:34:54 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://samba.org/~jelmer/dulwich
-Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), python3-all-dev, python3-all-dbg, debhelper (>= 9), python-unittest2, git (>= 1:1.7.0.4-2) | git-core, python-fastimport (>= 0.9.0~bzr293), pypy-dev, dh-python
-Standards-Version: 3.9.6
+Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), python3-all-dev, python3-all-dbg, debhelper (>= 9), python-unittest2, git (>= 1:1.7.0.4-2) | git-core, python-fastimport (>= 0.9.0~bzr293), python3-fastimport, pypy-dev, dh-python
+Standards-Version: 3.9.7
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/dulwich.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/dulwich.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/dulwich.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/dulwich.git
 XS-Testsuite: autopkgtest
 
 Package: python-dulwich
@@ -51,6 +51,7 @@
 Architecture: any
 Provides: ${pypy:Provides}
 Depends: ${pypy:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Recommends: pypy-fastimport
 Description: Python Git library - pypy module
  Dulwich is a Python implementation of the file formats and protocols
  used by the Git version control system. It can currently read from and write
@@ -68,6 +69,7 @@
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Breaks: bzr-git (<< 0.6.2)
 Suggests: python3-dulwich-dbg
+Recommends: python3-fastimport
 Description: Python Git library - Python3 module
  Dulwich is a Python implementation of the file formats and protocols
  used by the Git version control system. It can currently read from and write

## dulwich 0.14.1

=== debian/changelog ===
dulwich (0.14.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 05 Jul 2016 23:04:21 +0000

dulwich (0.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch 01_refs_unicode: applied upstream.
  * Bump standards version to 3.9.8 (no changes).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 03 Jul 2016 19:17:25 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Jelmer Vernooij <jelmer@debian.org>
+Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
 Homepage: http://samba.org/~jelmer/dulwich
 Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), python3-all-dev, python3-all-dbg, debhelper (>= 9), python-unittest2, git (>= 1:1.7.0.4-2) | git-core, python-fastimport (>= 0.9.0~bzr293), python3-fastimport, pypy-dev, dh-python
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/dulwich.git
